* Replication "do file" for: Jin Mun Jeong and Dursun Peksen, "Domestic Institutional Constraints, Veto Players, and Sanction Effectiveness." 

*Table 1 
*Full Model without the Regime Type Variables
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*Full Model with the Regime Type Variables
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat startyear democracy military monarchpersonal, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000 postcoldwar) nolog iterate(50)

*Figure 1
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue  startyear democracy military monarchpersonal threat, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000 postcoldwar) nolog iterate(50)
margins, at((mean) _all targetcosts=0 politicalissue=0 democracy=0 military=0 monarchpersonal=0 threat=0 impospolconiii =(0 (0.1) 0.7)) pr(pcond) force
marginsplot, title("") ylabel() ytitle( pr(Sanction Success=1)) xtitle(Veto Players) graphregion(color(white))

*Table 2 Interaction Terms
*Democracy Interaction
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy vetodemocracy, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*Trade Interaction
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal vetotargettrade, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*GDP Interaction
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal vetotargetgdp, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*Cost Interaction
heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal vetotargetcosts, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)


*APPENDIX Table WITH THE ALTERNATIVE DV
*Full Model without the Regime Type Variables
heckprob successalt impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*Full Model with the Regime Type Variables
heckprob successalt impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal , sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)

*APPENDIX Table Single Stage Probit Models
probit impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat startyear 
probit impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat startyear democracy military monarchpersonal 


*ONLINE APPENDIX Figures 
*The range of veto point variable is changed from 0 - .708 to 0 - 1, so that the following commands calculate the change of sanction success probability when the veto point changes from the minimum (0) to the maximum (1).
replace impospolconiii = impospolconiii/.708

*Democracy Interaction
qui heckprob impositionsuccess c.impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear i.democracy i.democracy#c.impospolconiii, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)
margins, dydx(impospolconiii) at((mean) _all institution = 0 politicalissue=0 threat=0 democracy=(0 1)) pr(pcond) force

matrix B = r(b)
matrix list B

matrix V = r(V)
matrix list V

egen dem = fill(1(1)2)
replace dem = . if dem > 2
gen margin_dem = .
gen margin_dem_se = .
foreach n of numlist 1(1)2 {
    replace margin_dem = B[1, `n'] if dem == `n'
    replace margin_dem_se = sqrt(V[`n', `n']) if dem == `n'
}

gen dem_lo = margin_dem - margin_dem_se*1.96
gen dem_hi = margin_dem + margin_dem_se*1.96

replace dem = 0 in 3
replace dem = 3 in 4
twoway (rcap dem_lo dem_hi dem) (scatter margin_dem dem), ///
xtitle("Target Regime Type") ytitle("Change of pr(Sanction Success = 1)") yline(0, lp(dash))  ///
xlabel(1 "Non-Democracy" 2 "Democracy") legen(off)

*Trade Interaction
qui heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal c.impospolconiii#c.imposeddyadtradegdp, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)
margins, dydx(impospolconiii) at((mean) _all institution = 0 politicalissue=0 democracy = 0 military = 0 monarch = 0 threat=0 imposeddyadtrade = (0 (.01) .5734494)) pr(pcond) force

matrix B = r(b)
matrix list B

matrix V = r(V)
matrix list V

egen trd = fill(1(1)58)
replace trd = . if trd > 58
gen margin_trd = .
gen margin_trd_se = .
foreach n of numlist 1(1)58 {
    replace margin_trd = B[1, `n'] if trd == `n'
    replace margin_trd_se = sqrt(V[`n', `n']) if trd == `n'
}

replace trd = (trd-1)/99.398482

gen trd_lo = margin_trd - margin_trd_se*1.96
gen trd_hi = margin_trd + margin_trd_se*1.96

twoway (line trd_lo trd, lp(dash)) (line margin_trd trd) (line trd_hi trd, lp(dash)) ///
(kdensity imposeddyadtradegdp, yaxis(2) ytitle("K-density", axis(2)) lpattern(vshortdash)), ///
xtitle("Target Trade Depdendence") ytitle("Change of pr(Sanction Success = 1)") yline(0, lp(dash)) legend(off)

*GDP Interaction
qui heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal c.impospolconiii#c.imposedtargetgdp1000, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)
margins, dydx(impospolconiii) at((mean) _all institution = 0 politicalissue=0 democracy = 0 military = 0 monarch = 0 threat=0 imposedtargetgdp = (0 (1) 43)) pr(pcond) force

matrix B = r(b)
matrix list B

matrix V = r(V)
matrix list V

egen gdp = fill(1(1)44)
replace gdp = . if gdp > 44
gen margin_gdp = .
gen margin_gdp_se = .
foreach n of numlist 1(1)44 {
    replace margin_gdp = B[1, `n'] if gdp == `n'
    replace margin_gdp_se = sqrt(V[`n', `n']) if gdp == `n'
}

replace gdp = gdp-1
 
gen gdp_lo = margin_gdp - margin_gdp_se*1.96
gen gdp_hi = margin_gdp + margin_gdp_se*1.96

twoway (line gdp_hi gdp, lp(dash)) (line margin_gdp gdp) (line gdp_lo  gdp, lp(dash)) ///
(kdensity imposedtargetgdp1000 if e(sample), yaxis(2) ytitle("K-density", axis(2)) lpattern(vshortdash)), xtitle("Target GDP per Capita") ///
ytitle("Change of pr(Sanction Success = 1)") ylabel(0(.025).1,axis(2)) yline(0, lp(dash)) legend(off)

*Cost Interaction
qui heckprob impositionsuccess impospolconiii institution targetcosts imposeddyadtradegdp imposedtargetgdp1000 politicalissue threat  startyear democracy military monarchpersonal c.impospolconiii#c.targetcosts, sel(imposition= selectdemocracy capability seltradegdp seldyadtradegdp selecttargetgdp1000  postcoldwar) nolog iterate(50)
margins, dydx(impospolconiii) at((mean) _all institution = 0 politicalissue=0 democracy = 0 military = 0 monarch = 0 threat=0 targetcosts = (1 (1) 3)) pr(pcond) force

matrix B = r(b)
matrix list B

matrix V = r(V)
matrix list V

egen cost = fill(1(1)3)
replace cost = . if cost > 3
gen margin_cost = .
gen margin_cost_se = .
foreach n of numlist 1(1)3 {
    replace margin_cost = B[1, `n'] if cost == `n'
    replace margin_cost_se = sqrt(V[`n', `n']) if cost == `n'
}

gen cost_lo = margin_cost - margin_cost_se*1.96
gen cost_hi = margin_cost + margin_cost_se*1.96

twoway (line cost_hi cost, lp(dash)) (line margin_cost cost) (line cost_lo  cost, lp(dash)) ///
(kdensity targetcosts if e(sample), yaxis(2) ytitle("K-density", axis(2)) lpattern(vshortdash)), ///
 xtitle("Sanction Costs") xlabel(1(1)3) ytitle("Change of pr(Sanction Success = 1)") legend(off) yline(0, lp(dash)) 





